Bug 1482851 - Requires for the seabios version that support vIOMMU of virtio [rhel-7.4.z]
Summary: Requires for the seabios version that support vIOMMU of virtio [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: jason wang
QA Contact: FuXiangChun
URL:
Whiteboard:
Depends On: 1475634
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 08:35 UTC by Oneata Mircea Teodor
Modified: 2017-09-05 11:52 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-16.el7_4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1475634
Environment:
Last Closed: 2017-09-05 11:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2628 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-09-05 15:52:24 UTC

Description Oneata Mircea Teodor 2017-08-18 08:35:19 UTC
This bug has been copied from bug #1475634 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Miroslav Rezanina 2017-08-23 05:17:11 UTC
Fix included in qemu-kvm-rhev-2.9.0-16.el7_4.5

Comment 4 FuXiangChun 2017-08-24 05:59:29 UTC
Verified component version as below:

qemu-kvm-rhev-2.9.0-16.el7_4.5.x86_64
seabios-1.10.2-3.el7_4.1.x86_64
3.10.0-693.1.1.el7.x86_64

steps:

1.qemu-kvm cli:
/usr/libexec/qemu-kvm -M pc -cpu IvyBridge -enable-kvm -m 2G -smp 4 \

-device virtio-blk-pci,drive=system1,disable-legacy=on,disable-modern=off,id=boot_disk,bootindex=1,iommu_platform=on,ats=on -drive file=/root/rhel74-bk.qcow2,format=qcow2,if=none,id=system1 \

-vnc :1 -monitor stdio -device virtio-net-pci,netdev=hostnet1,id=net1,mac=52:54:00:7e:af:e6 -netdev tap,id=hostnet1,vhost=on -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 \

-chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtserialport,bus=virtio-serial0.0,chardev=qga0,id=qemu-ga0,name=org.qemu.guest_agent.0

2. Add "iommu=pt intel_iommu=on" to host kernel line

3. Add "intel_iommu=on" guest kernel line

result:

Guest works well. 

Hi Jason,
According to test result as above. Can QE verify this bug? or need to test the other device. e.g virtio-net-pci, virtio-serial-pci..

Comment 5 jason wang 2017-08-24 08:28:05 UTC
I think you need focus on the dependency. E.g check qemu-kvm-rhev-2.9.0-16.el7_4.5 depends on seabios-bin >= 1.10.2-3.el7_4.1 and ipxe-roms-qemu >= 20170123-1.git4e85b27.el7_4.1.

Thanks

Comment 6 FuXiangChun 2017-08-24 09:24:46 UTC
(In reply to jason wang from comment #5)
> I think you need focus on the dependency. E.g check
> qemu-kvm-rhev-2.9.0-16.el7_4.5 depends on seabios-bin >= 1.10.2-3.el7_4.1
> and ipxe-roms-qemu >= 20170123-1.git4e85b27.el7_4.1.
> 
> Thanks

Thanks Jason, I have checked this dependency when installing qemu-kvm-rhev-2.9.0-16.el7_4.5. 

error: Failed dependencies:
	ipxe-roms-qemu >= 20170123-1.git4e85b27.el7_4.1 is needed by qemu-kvm-rhev-10:2.9.0-16.el7_4.5.x86_64
	seabios-bin >= 1.10.2-3.el7_4.1 is needed by qemu-kvm-rhev-10:2.9.0-16.el7_4.5.x86_64
	seavgabios-bin >= 1.10.2-3.el7_4.1 is needed by qemu-kvm-rhev-10:2.9.0-16.el7_4.5.x86_64
	sgabios-bin is needed by qemu-kvm-rhev-10:2.9.0-16.el7_4.5.x86_64

So,This bug is fixed.

Comment 9 errata-xmlrpc 2017-09-05 11:52:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2628


Note You need to log in before you can comment on or make changes to this bug.